Crystal Space: csFmtDefaultReader< T > Class Template Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFmtDefaultReader< T > Class Template Reference
[Utilities]

Standard format string source for csPrintfFormatter. More...

`#include <csutil/formatter.h>`

List of all members.

## Public Member Functions
| csFmtDefaultReader (const T *string, size_t length)
| Init with a string and a length.
bool | GetNext (utf32_char &ch)
| Get next character. Returns false if end of input was reached.
size_t | GetPosition () const
| Get position relative to beginning.
void | Reset ()
| Rewind.

## Detailed Description

### template<class T>
class csFmtDefaultReader< T >

Standard format string source for csPrintfFormatter.

Remarks:
  Uses csUnicodeTransform::Decode(), so it supports utf8_char, utf16_char, utf32_char and wchar_t strings.

Definition at line 72 of file formatter.h.

## Constructor & Destructor Documentation

template<class T>

csFmtDefaultReader< T >::csFmtDefaultReader | ( | const T * | string,
|  | size_t | length |
| ) |  |  | `[inline]`

Init with a string and a length.

Definition at line 80 of file formatter.h.

References csFmtDefaultReader< T >::Reset().

## Member Function Documentation

template<class T>

bool csFmtDefaultReader< T >::GetNext | ( | utf32_char & | ch | ) | `[inline]`

Get next character. Returns false if end of input was reached.

Definition at line 83 of file formatter.h.

References csUnicodeTransform::Decode().

template<class T>

size_t csFmtDefaultReader< T >::GetPosition | ( |  | ) | const`[inline]`

Get position relative to beginning.

Definition at line 94 of file formatter.h.

template<class T>

void csFmtDefaultReader< T >::Reset | ( |  | ) | `[inline]`

Rewind.

Definition at line 92 of file formatter.h.

Referenced by csFmtDefaultReader< T >::csFmtDefaultReader().

The documentation for this class was generated from the following file:

- csutil/formatter.h